# Reviewboard in a container

* Create a database and a database user on a MariaDB/MySQL server, grant all privileges on all tables of that database to that user
* If you want to inject custom CA certificates for repository access, create a volume, put these certificates (use the extension .ext) into and mount it to `/usr/local/share/ca-certificates/` of the container when starting it.
* Start the container with something like

``
docker run \
  -d \
  --rm \
  --name reviews \
  -p 8080:80 \
  -e DBHOST=10.8.10.5 \
  -e DBNAME=reviewboard \
  -e DBUSER=reviewboard \
  -e DBPASS=test123 \
  -e ADMINPASS=test123 \
  -v RB_CERTS:/usr/local/share/ca-certificates/ \
  reviews
``



